<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Super Kalkulaator</title>
    <style>
        * {
            margin: 0px;
            padding: 0px;
            font-family: Calibri, Arial, Helvetica, sans-serif;
            font-size: 1.1em;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        #container {
            width: 100%;
            height: 100%;
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
        }

        #calculator {
            display: grid;
            grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
            grid-template-rows: 1fr 1fr 1fr 1fr;
            grid-template-areas:
                "number1Text number1Text number1Input number1Input number1Input"
                "number2Text number2Text number2Input number2Input number2Input"
                "opAdd opSub opMult opDiv opClear"
                "result result result result result";
            background: lightskyblue;
            width: 80%;
            height: 50%;
        }

        #calculator div {
            display: flex;
            justify-content: center;
            align-items: center;
            border: 1px solid darkslateblue;
        }

        #number1Text {
            grid-area: number1Text;
        }

        #number1Input {
            grid-area: number1Input;
        }

        #number1Input input {
            width: 80%;
            height: 80%;
            text-align: center;
        }

        #number2Text {
            grid-area: number2Text;
        }

        #number2Input {
            grid-area: number2Input;
        }

        #number2Input input {
            width: 80%;
            height: 80%;
            text-align: center;
        }

        #opAdd {
            grid-area: opAdd;
        }

        #opSub {
            grid-area: opSub;
        }

        #opMult {
            grid-area: opMult;
        }

        #opDiv {
            grid-area: opDiv;
        }

        #opClear {
            grid-area: opClear;
        }

        #result {
            grid-area: result;
        }

        .operation:hover {
            background: darkslateblue;
            color: white;
            cursor: pointer;
        }
    </style>
</head>

<body>
    <div id="container">
        <h1>Arvutuskeskus</h1>
        <div id="calculator">
            <div id="number1Text">Number 1:</div>
            <div id="number1Input"><input type="number"></div>
            <div id="number2Text">Number 2:</div>
            <div id="number2Input"><input type="number"></div>
            <div class="operation" id="opAdd" onclick="operationAdd()">+</div>
            <div class="operation" id="opSub" onclick="operationSub()">-</div>
            <div class="operation" id="opMult" onclick="operationMult()">X</div>
            <div class="operation" id="obDiv" onclick="operationDiv()">/</div>
            <div class="operation" id="opClear" onclick="operationClear()">C</div>
            <div id="result">[RESULT]</div>
        </div>
    </div>
    <script>
        const number1InputElement = document.querySelector("#number1Input input");
        const number2InputElement = document.querySelector("#number2Input input");
        const resultElement = document.querySelector("#result");

        function getNumbers() {
            return {
                num1: parseInt(number1InputElement.value),
                num2: parseInt(number2InputElement.value)
            };
        }

        function operationAdd() {
            let numbers = getNumbers();
            resultElement.innerText = numbers.num1 + numbers.num2;
        }

        function operationSub() {
            let numbers = getNumbers();
            resultElement.innerText = numbers.num1 - numbers.num2;
        }

        function operationMult() {
            let numbers = getNumbers();
            resultElement.innerText = numbers.num1 * numbers.num2;
        }

        function operationDiv() {
            let numbers = getNumbers();
            resultElement.innerText = numbers.num1 / numbers.num2;
        }

        function operationClear() {
            number1InputElement.value = "";
            number2InputElement.value = "";
            resultElement.innerText = "[RESULT]";
        }
    </script>
</body>
</html>